django_polotic/Jaguarete/urls.py
from django.urls import path
from . import views

app_name = "Jaguarete"
urlpatterns = [
    path('',views.index, name="inicio"),
    path('about',views.about, name="acercade"),
    path('search',views.search, name="busqueda"),
    path('Categoria',views.BusquedaCategoria, name="BusquedaCategoria"),
    path('Categoria/<int:id_categoria>',views.BusquedaCategoria, name="BusquedaCategoria"),
    path('Producto',views.producto, name="Producto"),
    path('Producto/<int:id_producto>',views.producto, name="Producto"),
    path('Producto/ProductoNuevo',views.ProductoNuevo, name="ProductoNuevo"),
    path('Producto/editarproducto',views.productoeditar, name="ProductoEditar"),
    path('VerCarrito',views.verCarrito, name="Carrito"),
    
]

django_polotic/Usuarios/urls.py
from django.urls import path, include
from . import views

app_name = "Usuarios"
urlpatterns = [
path('', views.registrarse, name="registrarse"),
]

django_polotic/django_polotic/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',include("Jaguarete.urls")),
    path('accounts/', include('django.contrib.auth.urls')),
    path('registrarse/', include('Usuarios.urls')),    
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

django_polotic/Jaguarete/models.py
from django.db import models
from django.contrib.auth.models import User

# Create your models here.
class Categoria(models.Model):
    Descripcion = models.CharField(max_length=20)

    def __str__(self):
        return f"{self.Descripcion}"

class Producto(models.Model):
    Titulo = models.CharField(max_length=30)
    Imagen = models.ImageField()
    Descripcion = models.CharField(max_length=120)
    Precio = models.IntegerField()
    Categoria = models.ForeignKey(Categoria,on_delete=models.CASCADE,related_name="Productos")

    def __str__(self):
        return f"Producto {self.id}:({self.Categoria}) {self.Titulo} - {self.Descripcion} --- ${self.Precio}"

class Carrito(models.Model):
    Usuario = models.ForeignKey(User,on_delete=models.CASCADE,related_name="Usuario",null=True) 
    ListaProductos = models.ManyToManyField(Producto,blank=True,related_name="Compras")
    TotalCarrito = models.IntegerField(null=True)

    def __str__(self):
        return f"Carrito de {self.Usuario} ${self.TotalCarrito}"

django_polotic/Usuarios/models.py
from django.db import models

# Create your models here.

django_polotic/Jaguarete/forms.py
from django import forms
from django.db.models.enums import Choices
from django.forms.widgets import Select
from .models import Producto,Categoria


class RegistroProducto(forms.Form):
    Titulo = forms.CharField(label='Titulo', widget=forms.TextInput(), max_length=30, required=True, help_text='Requerido. 30 caracteres o menos. Letras, dígitos y @ /. / + / - / _ solamente.')
    Imagen = forms.ImageField(label='Imagen', widget=forms.FileInput(), required=True, help_text='Requerido. Imagen formato JPG/JPEG.')
    Descripcion = forms.CharField(label='Descripcion', widget=forms.TextInput(), required=True, help_text='Requerido. 120 caracteres o menos. Letras, dígitos y @ /. / + / - / _ solamente.')
    Precio = forms.IntegerField(label='Precio', widget=forms.NumberInput(), required=True, help_text='Requerido.')
    Categoria = forms.ChoiceField(label='Categoria', widget=forms.Select(choices=Categoria.objects.all()), required=True, help_text='Requerido. Seleccione una opcion')
    
    class Meta:
        model = Producto
        fields = ('Titulo','Imagen', 'Descripcion', 'Precio', 'Categoria' )

django_polotic/Usuarios/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User

class RegistroForm(UserCreationForm):
    username = forms.CharField(label='Usuario', widget=forms.TextInput(attrs={'class': 'usuario'}), max_length=150, required=True, help_text='Requerido. 150 caracteres o menos. Letras, dígitos y @ /. / + / - / _ solamente.')
    password1 = forms.CharField(label='Password', widget=forms.PasswordInput(), max_length=30, required=True, help_text='Requerido. Al menos 8 caracteres y no pueden ser todos numeros.')
    password2 = forms.CharField(label='Repetir Password', widget=forms.PasswordInput(), max_length=30, required=True, help_text='Requerido. Ingrese la misma contraseña que antes, para verificación.')
    first_name = forms.CharField(label='Nombre', widget=forms.TextInput(attrs={'class': 'nombre'}), max_length=30, required=False, help_text='Opcional.')
    last_name = forms.CharField(label='Apellido', widget=forms.TextInput(attrs={'class': 'apellido'}), max_length=30, required=False, help_text='Opcional.')
    email = forms.EmailField(label='Email', widget=forms.TextInput(attrs={'class': 'email'}), max_length=254, required=True, help_text='Se requiere una direccion de email valida.')
    
    class Meta:
        model = User
        fields = ('username', 'first_name', 'last_name', 'email', 'password1', 'password2', )

django_polotic/Jaguarete/views.py
from django.contrib.auth.models import User
from django.http.response import HttpResponseRedirect
from django.shortcuts import redirect, render, get_object_or_404
from django.urls import reverse
from .models import Categoria, Producto
from django.contrib.auth.decorators import login_required
from .forms import *



# Create your views here.
def index(request):
    if "leer_mas_tarde" not in request.session:
        request.session["Carrito"] = []
    categorias = Categoria.objects.all()
    allprods = Producto.objects.all().order_by('-id')
    prodsPrincipales = allprods[:3]
    prodsFinales = allprods[3:10]
    return render(request,"jaguarete/main.html",{"lista_Categorias": categorias,"Carrito":request.session["Carrito"] ,"prodsPrincipales":prodsPrincipales,"prodsFinales":prodsFinales})

def BusquedaCategoria(request,id_categoria):
    categorias = Categoria.objects.all()
    categ = get_object_or_404(Categoria,id=id_categoria)
    prod = Producto.objects.all().filter(Categoria=categ)
    return render(request, "jaguarete/search.html",{"lista_Categorias": categorias,"productos":prod, "Palabra":categ})

def search(request,id_categoria):
    categorias = Categoria.objects.all()
    categ = get_object_or_404(Categoria,id=id_categoria)
    prods = Producto.objects.all().filter(Categoria=categ)
    return render(request, "jaguarete/search.html",{"lista_Categorias": categorias,"productos": prods,"Palabra":categ.Descripcion})

def producto(request,id_producto):
    categorias = Categoria.objects.all()
    prod = get_object_or_404(Producto, id=id_producto)
    return render(request, "jaguarete/producto.html",{"lista_Categorias": categorias , "producto":prod})

def about(request):
    categorias = Categoria.objects.all()
    return render(request, "jaguarete/about.html",{"lista_Categorias": categorias})


@login_required
def ProductoNuevo(request):
    categorias = Categoria.objects.all()
    if request.method == 'POST':
        form = RegistroProducto(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect(reverse('login'))
    else:
        form = RegistroProducto()
    return render(request, 'jaguarete/productonuevo.html', {'form': form,"lista_Categorias":categorias})

@login_required
def verCarrito(request):
    if request.user.is_superuser:
        return HttpResponseRedirect('/')
    else:
        categorias = Categoria.objects.all()
        return render(request, "jaguarete/carrito.html",{"lista_Categorias": categorias})

@login_required
def productoeditar(request):
    if request.user.is_superuser:
        categorias = Categoria.objects.all()
        return render(request, "jaguarete/productoeditar.html",{"lista_Categorias": categorias})
    else:
        return HttpResponseRedirect('/')

# @login_required
# def leer_mas_tarde(request, articulo_id):
#     un_articulo = get_object_or_404(Articulo, id=articulo_id)
#     for id in request.session["leer_mas_tarde"]:
#         if id == articulo_id:
#             #existe el articulo
#             return HttpResponseRedirect(reverse("sitio:articulo", args=(un_articulo.id,)))            
#     request.session["leer_mas_tarde"] += [articulo_id]
#     return HttpResponseRedirect(reverse("sitio:articulo", args=(un_articulo.id,)))   

django_polotic/Usuarios/views.py
from django.http.response import HttpResponseRedirect
from django.shortcuts import render
from django.urls import reverse
from .forms import *

def registrarse(request):
    if request.method == 'POST':
        form = RegistroForm(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect(reverse('login'))
    else:
        form = RegistroForm()
    return render(request, 'registration/registro.html', {'form': form})

django_polotic/Jaguarete/templates/jaguarete/about.html
{% extends "jaguarete/template.html" %}
{% load static %}

    {% block Head %}  
    <title>Pagina Acerca de</title>
    <link rel="stylesheet" href="{% static 'jaguarete/about.css' %}">
    {% endblock Head %}

    <!--CUERPO-->
    {% block Body %}
    <main>
        <article >
            <h1>ACERCA DE...</h1>
            <p>
                Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat. Quis aute iure reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat. Quis aute iure reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
            </p>
        </article>
    </main>
    {% endblock %}
    <!--FIN CUERPO-->

django_polotic/Jaguarete/templates/jaguarete/carrito.html
{% extends "jaguarete/template.html" %}
{% load static %}

    {% block Head %}  
    <title>Carrito</title>
    <link rel="stylesheet" href="{% static 'jaguarete/carrito.css' %}">
    {% endblock Head %}

<!--CUERPO-->
    {% block Body %}
    <main>
        <section>
            
            <h1>CARRITO DE COMPRAS</h1>
            <br>
            <h3> {{ user.Apellido }},{{ user.Usuario.Nombre }}</h3>
            <ol class="list-group list-group-numbered">
                <h3>No hay productos que coincidan con la busqueda.</h3>
            </ol>
            <h3>Total: $0</h3>{{Carrito.TotalCarrito}}
            <form>
                <div class="botonescarrito">
                    <input class="btn btn-dark" type="submit" value="Vaciar carrito">
                    <input class="btn btn-dark" type="submit" value="Finalizar compra">
                </div>
            </form>
        </section>
    </main>
    {% endblock %}
<!--FIN CUERPO-->

django_polotic/Jaguarete/templates/jaguarete/login.html
{% extends "jaguarete/template.html" %}
{% load static %}
    {% block Head %}  
    <title>login</title>
    <link rel="stylesheet" href="{% static 'jaguarete/login.css' %}">
    {% endblock Head %}

    {% block Body %}
    <!--CUERPO-->
    <main>
        <section class="card">
            <h1 class="titulo">ACCEDER A LA WEB</h1>
            <br>
            <form>
                <div class="mb-3 row">
                    <label for="usuario" class="col-sm-2 col-form-label">USERNAME:</label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="username">
                    </div>
                </div>

                <div class="mb-3 row">
                    <label for="Password" class="col-sm-2 col-form-label">PASSWORD:</label>
                    <div class="col-sm-10">
                        <input type="password" class="form-control" id="inputpassword">
                    </div>
                </div>

                <div class="botones">
                    <input class="btn btn-dark" type="submit" value="Login">
                    <input class="btn btn-dark" type="submit" value="Registrarse" onclick="window.location='/registro';"/>
                </div>
            </form>
        </section>
    </main>
    <!--FIN DE CUERPO-->
    {% endblock %}

django_polotic/Jaguarete/templates/jaguarete/main.html
{% extends "jaguarete/template.html" %}
{% load static %}

    {% block Head %}  
    <title>Pagina pincipal</title>
    <link rel="stylesheet" href="{% static 'jaguarete/main.css' %}">
    {% endblock Head %}

    {% block Body %}
    <!--CUERPO-->
    <main>
        <section class="bloque3">
        <!--PRODUCTO 1--> 
        {% for prod in prodsPrincipales %}         
            <div class="card" style="width: 18rem;">
                <h5 class="card-title">{{prod.Titulo}}</h5>
                <div class="card-body">
                    <img src="{{ media_url  }}{{ prod.Imagen.url }}" class="card-img-top" alt="{{prod.Imagen.name}}">
                    <p class="card-text">{{ prod.Descripcion }}</p>
                    <a href="{% url 'Jaguarete:Producto' prod.id %}" class="btn btn-dark">Ver producto</a>
                </div>
            </div>
        {% endfor %}
        </section>
        <div class="otrosproductos">
            <h5 class="titulo">MAS PRODUCTOS</h5>
            {% for prods in prodsFinales %}
            <a href="{% url 'Jaguarete:Producto' prods.id %}" class="list-group-item list-group-item-action">{{ prods.Titulo }}: {{prods.Descripcion}}</a>
            {% endfor %}
        </div>

    </main>
    <!--FIN DE CUERPO-->
    {% endblock Body %}

django_polotic/Jaguarete/templates/jaguarete/producto.html
{% extends "jaguarete/template.html" %}
{% load static %}

    {% block Head %}  
    <title>Carrito</title>
    <link rel="stylesheet" href="{% static 'jaguarete/producto.css' %}">
    {% endblock Head %}

<!--CUERPO-->
{% block Body %}
<main>
    <section>
        <h1>{{ producto.Titulo }}</h1>
        <br>

        <div class="card mb-3">
            <div class="row g-0">

                <div class="col-md-4">
                    <img class="card-img"
                    src="{{ media_url  }}{{ producto.Imagen.url }}" class="card-img-top">
                </div>
                
                <aside class="col-md-8">
                    <article class="card-body">
                        <h2>{{ producto.Categoria }}</h2>
                        <p class="card-text">{{producto.Descripcion}}
                        </p>
                        <h3>Precio: ${{ producto.Precio }}</h3>
                        {% if user.is_superuser %}
                        <a href="{% url 'Jaguarete:ProductoEditar' %}" class="btn btn-dark">Editar Producto</a>
                        {% else %}                    
                        <a href="{% url 'Jaguarete:Carrito' %}" class="btn btn-dark">Agregar al carrito</a>
                        {% endif %}
                    </article>
                </aside>

            </div>
        </div>
    </section>
</main>
{% endblock %}
<!--FIN CUERPO-->

django_polotic/Jaguarete/templates/jaguarete/productoeditar.html
{% extends "jaguarete/template.html" %}
{% load static %}

{% block Head %}  
<title>Editar Producto</title>
<link rel="stylesheet" href="{% static 'jaguarete/productoeditar.css' %}">
{% endblock Head %}

<!--CUERPO-->
{% block Body %}
<main>
    <section class="edicion">
        <form>
            <input class="form-control" type="text" value="titulo del producto">
            <br>
            <div class="row g-0">
                <!--Contenido e Imagen de Nuevo producto izquierda-->
                <div class="col-md-4">
                    <label for="tituloimagen" class="form-label"> IMAGEN </label>
                    <input type="file" class="form-control">
                </div>
                                
                <div class="col-md-8">
                    <div class="card-body">
                        
                        <select class="form-select">
                            <option value="1">Categoria 1</option>
                            <option value="2">Categoria 2</option>
                            <option value="3">Categoria 3</option>
                        </select>
                        <br>

                        <textarea class="form-control" id="detalle" cols="30" rows="5">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat. Quis aute iure reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</textarea>
                        <br>

                        <div class="row g-3">
                            <div class="col-auto">
                                <span class="input-group-text">Precio: $</span>
                            </div>
                            <div class="col-auto">
                                <input type="text" class="form-control" value="XXXX">
                            </div>
                            
                            <div class="col">
                                <div class="botones">
                                    <input class="btn btn-dark" type="submit" value="Borrar">
                                    <input class="btn btn-dark" type="submit" value="Editar">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </section>
</main>
{% endblock %}
<!--FIN CUERPO-->

django_polotic/Jaguarete/templates/jaguarete/productonuevo.html
{% extends "jaguarete/template.html" %}
{% load static %}

{% block Head %}  
<title>Nuevo Producto</title>
<link rel="stylesheet" href="{% static 'jaguarete/productonuevo.css' %}">
{% endblock Head %}

<!--CUERPO-->
{% block Body %}     
<main>
    <section class="nuevo">
        <form method="post">
            {% csrf_token %}
            {% for campo in form %}
            <div class="mb-3 row">
                <label style="text-align: right;" for="{{ campo.label }}" class="col-sm-2 col-form-label">{{ campo.label_tag }}</label>
                <div class="col-sm-10" style="text-align: left;">
                    {{ campo }}
                    {% if campo.help_text %}
                    <small style="color: grey">{{ campo.help_text }}</small>
                    {% endif %}
                    {% for error in campo.errors %}
                      <p style="color: red">{{ error }}</p>
                    {% endfor %}
                </div>  
            </div>
            {% endfor %}
            <div class="boton">
                <button class="btn btn-dark" type="submit">Agregar Producto</button>
            </div>
        </form>
    </section>
</main>
{% endblock %}
<!--FIN CUERPO-->

django_polotic/Jaguarete/templates/jaguarete/registrarse.html
{% extends "jaguarete/template.html" %}
{% load static %}
    {% block Head %}  
    <title>Registrarse</title>
    <link rel="stylesheet" href="{% static 'jaguarete/registrarse.css' %}">
    {% endblock Head %}

    {% block Body %}
    <!--CUERPO-->
    <main>
        <section class="card">
            <h1 class="titulo">REGISTRARSE EN NUESTRA WEB</h1>
            <br>
            <form>
                <div class="mb-3 row">
                    <label for="email" class="col-sm-2 col-form-label">EMAIL:</label>
                    <div class="col-sm-10">
                        <input type="email" class="form-control" id="useremail">
                    </div>
                </div>

                <div class="mb-3 row">
                    <label for="usuario" class="col-sm-2 col-form-label">USERNAME:</label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="username">
                    </div>
                </div>

                <div class="mb-3 row">
                    <label for="Password" class="col-sm-2 col-form-label">PASSWORD:</label>
                    <div class="col-sm-10">
                        <input type="password" class="form-control" id="inputpassword">
                    </div>
                </div>

                <div class="mb-3 row">
                    <label for="confirmar" class="col-sm-2 col-form-label">REPETIR PASSWORD</label>
                    <div class="col-sm-10">
                        <input type="password" class="form-control" id="password">
                    </div>
                </div>

                <div class="boton">
                    <input class="btn btn-lg btn-dark" type="submit" value="REGISTRARSE">
                </div>
            </form>
        </section>
    </main>
    <!--FIN DE CUERPO-->
    {% endblock %}
        

django_polotic/Jaguarete/templates/jaguarete/search.html
{% extends "jaguarete/template.html" %}
{% load static %}

    {% block Head %}  
        <title>Pagina de busqueda</title>
        <link rel="stylesheet" href="{% static 'jaguarete/search.css' %}"> 
    {% endblock Head %}

    {% block Body %}
    <!--CUERPO-->
    <main>
        <section class="card">
            <h1 class="titulo">RESULTADO DE BUSQUEDA..{{Palabra}}</h1>
            <br>
            <div class="list-group">
                {% for prod in productos %}
                <a href="{% url 'Jaguarete:Producto' prod.id %}" class="list-group-item list-group-item-action">{{prod}} </a>
                {% empty %}
                <h3>No hay productos que coincidan con la busqueda.</h3>
                {% endfor %}
            </div>
        </section>
    </main>
    <!--FIN CUERPO-->
    {% endblock %}

django_polotic/Jaguarete/templates/jaguarete/template.html
{% load static %}
<!DOCTYPE html>

<html lang="es">
  <head>
      <!--- Meta Tags-->
      <meta charset="utf-8">
      <meta name="viewport" content="width = device-width, initial-scale =1.0">
      <!--Bootstrap links-->
      <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
      
      <!--Link a estilos-->
      <link rel="stylesheet" href="{% static 'jaguarete/template.css' %}">
      
      <!--Link a scripts-->
      <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
      <script src="https://cdn.tiny.cloud/1/no-api-key/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

      {% block Head %}
      
      {% endblock Head %}

    </head>


  <body>
    <!--INICIO DEL HEADER-->
      <header>
        <!--Imagen-->
        <div class = "logo">
          <img width="20%" src=https://gimnasioyaguarete.com/wp-content/uploads/2019/11/yaguarete2-1.png />
        </div>
        <!--Botones encabezado-->
        <div class="blockbotones">
          {% if user.is_authenticated %}
            <h3 style="color: darkorange;">Estas conectado como: {{ user.get_username }} </h3> 
            <a style='color: black;' id="loggout" role="button" class="btn btn-outline-warning btn-sm" href="{% url 'logout'%}?next={{request.path}}">Salir</a>
            {% if not user.is_superuser %}
              <button class="btn btn-lg" onclick="window.location.href='/VerCarrito'">Carrito</button>
            {% endif %}
          {% else %}                  
            <button class="btn btn-lg" onclick="window.location.href='/accounts/login'">Login</button>
            <button class="btn btn-lg" onclick="window.location.href='/registrarse/'">Registro</button>
            <button class="btn btn-lg" onclick="window.location.href='/VerCarrito'">Carrito</button>
          {% endif %} 
        </div>
      </header>
    <!--FIN DEL HEADER-->

    <!--INICIO DEL MENU-->
      <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
          <!--COLAPSO EN PANTALLA CHICA-->
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarsExample05" aria-controls="navbarsExample05" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <!--FIN COLAPSO EN PANTALLA CHICA-->

          <!--BARRA DE MENU-->
          <div class="collapse navbar-collapse" id="navbarsExample05">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="navbar-item">
                  <a class="nav-link" aria-current="page" href="{% url 'Jaguarete:inicio' %}">Home</a>
                </li>
                  
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="dropdown04" data-bs-toggle="dropdown" aria-expanded="false">Categorias</a>
                  <ul class="dropdown-menu" aria-labelledby="dropdown05">
                    {% for categ in lista_Categorias %}
                    <li><a class="dropdown-item" href="{% url 'Jaguarete:BusquedaCategoria' categ.id %}">{{categ}}</a></li>
                    {% endfor %}
                  </ul>
                </li>

                <li class="nav-item">
                  <a class="nav-link" href="{% url 'Jaguarete:acercade' %}">Acerca de...</a>
                </li>

                <li class="nav-item">
                  <a class="nav-link" href="mailto:contacto@jaguarete.com">Contacto</a>
                </li>
                {% if user.is_superuser %}
                <li class="nav-item">
                  <a class="nav-link" href="{% url 'Jaguarete:ProductoNuevo' %}">Agregar producto</a>
                </li>
                {% endif %}
            </ul>

            <form>
              <input class="form-control" type="text" placeholder="Search" aria-label="Search">
              <button class="btn btn-dark" type="submit">Buscar</button>
            </form>
          </div>
          <!--FIN DE BARRA DE MENU-->
        </div>
      </nav>
    <!--fIN DE MENU-->

    <!--INICIO DEL CUERPO-->
    {% block Body %}
 
    {% endblock Body %}
    <!--FIN DEL CUERPO-->

    <!--INICIO DEL FOOTER-->
      <footer>
          JAGUARETE KAA S.A Copyright
        <p class="programador">Juan Patricio Narvaja</p>
      </footer>
    <!--FIN DEL FOOTER-->

      <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

  </body>
</html>

django_polotic/django_polotic/templates/jaguarete/productonuevo.html
{% extends "jaguarete/template.html" %}
{% load static %}

{% block Head %}  
<title>Nuevo Producto</title>
<link rel="stylesheet" href="{% static 'jaguarete/productonuevo.css' %}">
{% endblock Head %}

<!--CUERPO-->
{% block Body %}     
<main>
    <section class="nuevo">
        <form method="post">
            {% csrf_token %}
            {% for campo in form %}
            <div class="mb-3 row">
                <label style="text-align: right;" for="{{ campo.label }}" class="col-sm-2 col-form-label">{{ campo.label_tag }}</label>
                <div class="col-sm-10" style="text-align: left;">
                    {{ campo }}
                    {% if campo.help_text %}
                    <small style="color: grey">{{ campo.help_text }}</small>
                    {% endif %}
                    {% for error in campo.errors %}
                      <p style="color: red">{{ error }}</p>
                    {% endfor %}
                </div>  
            </div>
            {% endfor %}
            <div class="boton">
                <button class="btn btn-dark" type="submit">Agregar Producto</button>
            </div>
        </form>
    </section>
</main>
{% endblock %}
<!--FIN CUERPO-->